# Get Cookie Inventory summary for specified audit run

POST /v3/web-audits/{auditId}/runs/{runId}/reports/cookie-inventory

Endpoint: POST /v3/web-audits/{auditId}/runs/{runId}/reports/cookie-inventory
Security: API_Key

## Path parameters:

  - `auditId` (integer, required)
    Unique identification number for web audit
    Example: 107239

  - `runId` (integer, required)
    Unique identification number for web audit or journey run
    Example: 33010

## Request fields (application/json):

  - `pageUrl` (object)

  - `pageUrl.filterType` (string, required)
    Enum: "contains", "regex"

  - `pageUrl.filterValue` (string, required)

  - `pageUrl.negated` (boolean)
    Switches from "contains" to "not contains", and from "matches regex" to "does not match regex". Supported only by Page Summary for now

  - `finalPageUrl` (object)

  - `finalPageUrl.filterType` (string, required)
    Enum: "contains", "regex"

  - `finalPageUrl.filterValue` (string, required)

  - `finalPageUrl.negated` (boolean)
    Switches from "contains" to "not contains", and from "matches regex" to "does not match regex". Supported only by Page Summary for now

  - `pageTitle` (object)

  - `pageTitle.filterType` (string, required)
    Enum: "contains", "not_contains"

  - `pageTitle.filterValue` (string, required)
    Page title as displayed by browser
    Example: "ObserveP"

  - `initialPageStatusCode` (object)

  - `initialPageStatusCode.filterType` (string, required)
    Enum: "specific", "range"

  - `initialPageStatusCode.negated` (boolean, required)
    Switches from == to !=, and from between [minInclusive, maxExclusive) to NOT between [minInclusive, maxExclusive)

  - `finalPageStatusCode` (object)

  - `finalPageStatusCode.filterType` (string, required)
    Enum: "specific", "range"

  - `finalPageStatusCode.negated` (boolean, required)
    Switches from == to !=, and from between [minInclusive, maxExclusive) to NOT between [minInclusive, maxExclusive)

  - `combinedPageStatusCode` (string)
    - broken - initial or final URL are broken,
- good - initial URL is good or redirect and final URL is good
    Enum: "broken", "good"

  - `pageLoadTime` (object)
    Page load time in milliseconds. Should have min and/or max properties defined. min is inclusive and max is exclusive. min should be less than max.

  - `pageLoadTime.min` (integer)

  - `pageLoadTime.max` (integer)

  - `pageSize` (object)
    Page size in bytes. Should have min and/or max properties defined. min is inclusive and max is exclusive. min should be less than max.

  - `pageSize.min` (integer)

  - `pageSize.max` (integer)

  - `redirectCount` (object)
    Number of redirects for a page. Should have min and/or max properties defined. min is inclusive and max is exclusive. min should be less than max.

  - `redirectCount.min` (integer)

  - `redirectCount.max` (integer)

  - `hasBrokenLinks` (boolean)

  - `pageUrlMatchingAuditFilterConfiguration` (boolean)

  - `cookieOriginInclusion` (string)
    - exclude_pre_audit_action_only_cookies - exclude cookies which were only changed during pre-audit actions
    Enum: "exclude_pre_audit_action_only_cookies"

  - `cookieName` (object)

  - `cookieName.filterType` (string, required)
    Enum: "contains", "not_contains"

  - `cookieName.filterValue` (string, required)

  - `cookieDomain` (object)

  - `cookieDomain.filterType` (string, required)
    Enum: "contains", "not_contains"

  - `cookieDomain.filterValue` (string, required)

  - `partyType` (string)
    Indicates if cookie domain is different from domain of a page it was set on. 
owned_3rd_party is deprecated
    Enum: "1st_party", "owned_3rd_party", "3rd_party"

  - `secure` (boolean)

  - `sameSite` (string,null)
    Enum: "None", "Lax", "Strict", "Empty"

  - `cookieSize` (object)
    Cookie size in bytes. Should have min and/or max properties defined. min is inclusive and max is exclusive

  - `cookieSize.min` (integer)

  - `cookieSize.max` (integer)

  - `allThirdPartyCookies` (boolean)
    Conflicts with partyType, but has higher priority

  - `httpOnly` (boolean)

  - `expirationType` (string)
    Enum: "session", "timestamp"

  - `cookieDuration` (object)
    Cookie duration in minutes. Should have min and/or max properties defined. min is inclusive and max is exclusive. Ignored when expirationType == "session"

  - `cookieDuration.min` (integer)

  - `cookieDuration.max` (integer)

  - `initiatorUrl` (object)

  - `initiatorUrl.filterType` (string, required)
    Enum: "contains", "not_contains"

  - `initiatorUrl.filterValue` (string, required)

  - `initiatorUrlDomain` (object)

  - `initiatorUrlDomain.filterType` (string, required)
    Enum: "contains", "not_contains"

  - `initiatorUrlDomain.filterValue` (string, required)

  - `anyRelatedTag` (boolean)
    Show all cookies with any related tag

  - `tagId` (integer)
    Tag ID

  - `tagCategoryId` (integer)
    Tag category ID

  - `tagVendorId` (integer)
    Tag vendor ID

  - `partitionKeyIsSet` (boolean)

## Response 200 fields (application/json):

  - `totalPageCount` (integer, required)
    Total number of pages audited

  - `filteredPageCount` (integer, required)
    Number of pages passing all applied filters

  - `totalUniqueCookieCount` (integer, required)
    Total number of unique cookies discovered

  - `filteredUniqueCookieCount` (integer, required)
    Number of unique cookies passing all applied filters

  - `totalFirstPartyCookieCount` (integer, required)
    Total number of first-party cookies discovered

  - `filteredFirstPartyCookieCount` (integer, required)
    Number of first-party cookies passing all applied filters

  - `totalThirdPartyCookieCount` (integer, required)
    Total number of third-party cookies discovered

  - `filteredThirdPartyCookieCount` (integer, required)
    Number of third-party cookies passing all applied filters

  - `filteredNonSecureCookieCount` (integer, required)
    Number of non-secure cookies passing all applied filters

  - `filteredSameSiteEmptyCookieCount` (integer, required)
    Number of cookies with empty same site attribute passing all applied filters

  - `totalUniqueCookieDomainCount` (integer, required)
    Total number of unique cookie domains discovered

  - `filteredUniqueCookieDomainCount` (integer, required)
    Number of unique cookie domains passing all applied filters

## Response 400 fields (application/json):

  - `timestamp` (string)

  - `message` (string)

  - `details` (string)

  - `validationReport` (object)

## Response 401 fields (application/json):

  - `timestamp` (string)

  - `message` (string)

  - `details` (string)

  - `validationReport` (object)

## Response 404 fields (application/json):

  - `timestamp` (string)

  - `message` (string)

  - `details` (string)

  - `validationReport` (object)


